body,
html {
  height: 100%;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

header {
  width: 100%;
  position: absolute;
  z-index: 1500;
  color: white;
  padding: 10px 0;
}

* {
  scrollbar-width: none !important;
  scrollbar-color: #ffffff #ffffff !important;
}

/* navigation */
.navbar {
  transition: all 0.3s ease;
  background-color: transparent !important;
  font-weight: 700;
  height:80px;
}

.navbar.scrolled {
  background-color: #14192d !important;
  backdrop-filter: blur(10px);
  height: 80px;
}

.navbar-nav .nav-link:hover {
  color: #ff6b6b !important;
}

.nav-logo {
  height: 25px;
}

.navbar-nav .nav-link.active {
  color: #e55a2b !important;
}

@media (min-width: 992px) {
  .navbar-collapse {
    border-radius: 0 !important;
    margin-top: 0 !important;
    height: 80px;
  }
}

@media (max-width: 991.98px) {
  .navbar.mobile-menu-open {
    background-color: #14192d !important;
  }
}

/* Scroll background color */
.navbar.scrolled {
  background-color: #14192d !important; /* Change this color */
}

/* Mobile menu background color */
.navbar.mobile-menu-open {
  background-color: #14192d !important; /* Change this color */
}

/* Mobile dropdown background */
@media (max-width: 991.98px) {
  .navbar-collapse {
    background-color: #14192d; /* Change this color */
  }
}

.header-text h2 {
  position: absolute;
  font-family: "Roboto";
  font-size: 19px;
  font-weight: 300;
  top: 100px;
}

.background-img {
  position: relative;
  height: 100vh;
}

.background-img img {
  width: 100%;
  height: auto;
}
.header-text h1 {
  font-size: 50px;
  position: relative;
  top: 135px;
}

.header-text h1::before {
  content: "●";
  color: #f57c00;
  position: absolute;
  left: 59px;
  top: -45px;
  font-size: 16px;
}

.header-text p {
  font-size: 15px;
  position: relative;
  top: 120px;
  color: #e1e1e1;
  line-height: 30px;
  max-width: 707px;
  letter-spacing: 0.2px;
  text-align: justify;
  font-family: "Syne", sans-serif;
}

.text-blue {
  color: #f57c00;
  font-family: "Satisfy";
}

.company_infor_footer{
  margin: 30px 0 0 30px !important;
}

.footer-content{
    padding-top: 20px;
  }

  .quick_link_footer{
  margin: 30px 0 0 50px !important;
}


/* Media Query for Mobile Responsiveness */
@media (max-width: 1200px) {
  .background-img img {
    height:500px;
  }  
}

@media (max-width: 768px) {
  .text-blue {
    font-size: 35px;
    text-align: center;
    margin-left: -20px;
  }
.header-text h1 {
    padding: 15px;
}
  .header-text p {
    font-size: 15px;
    top: 115px;
    left: -10px;
    padding: 10px;
  }

}

.topic .text-B {
  color: #2f327d;
}
.topic .text-O {
  color: #f57c00;
}

.topic {
  font-family: "Roboto";
  font-size: 15px;
  position: absolute;
  top: -2px;
}



.contact-form,
.map {
  background: #f9f9f9;
  padding: 20px;
  border-radius: 8px;
}

/* ====== Map ========== */
iframe {
  width: 700px;
  height: 500px;
  border: 0;
}

@media (max-width: 768px) {
  iframe {
    width: 100%;
    height: 500px;
  }
}

@media (max-width: 768px) {
  .contact-grid {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding:10px;
  }

  .contact-form,
  .map {
    width: 100%;
    height: 680px;
  }

  .submit-btn {
    margin-left: 79px;
  }
}

@media (max-width: 768px) {
  .map-iframe {
    height: 250px;
    width: 100px;
  }

  .contact {
    text-align: center;
    margin-top: 19px;
  }
}

.contact-form h2,
.map h3 {
  color: #333;
}

label {
  display: block;
  margin-bottom: 30px;
  font-size: 14px;
  top: 23px;
  position: relative;
  color: #404040;
  font-family: "Syne", sans-serif;
}

input[type="text"],
input[type="email"],
textarea {
  width: 96%;
  padding: 10px;
  margin-bottom: 9px;
  border: 1px solid #ddd;
  border-radius: 4px;
  font-size: 12px;
  font-family: "Syne", sans-serif;
}

.checkbox-container {
  display: block;
  position: relative;
  padding-left: 32px;
  margin-bottom: 51px;
  cursor: pointer;
  font-size: 13px;
  user-select: none;
}

.checkbox-container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}

.checkmark {
  position: absolute;
  top: -4px;
  left: 0;
  height: 20px;
  width: 20px;
  background-color: #c3c3c3;
  border-radius: 4px;
}

.checkbox-container:hover input ~ .checkmark {
  background-color: #ccc;
}

.checkbox-container input:checked ~ .checkmark {
  background-color: #f57c00;
}

.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

.checkbox-container input:checked ~ .checkmark:after {
  display: block;
}

.checkbox-container .checkmark:after {
  left: 7px;
  top: 2px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  transform: rotate(45deg);
}

.submit-btn {
  background-color: #f57c00;
  color: white;
  border: none;
  padding: 5px 26px;
  font-size: 15px;
  border-radius: 16px;
  cursor: pointer;
}

.submit-btn:hover {
  background-color: #2f327d;
}

.contact {
  font-size: 16px;
  color: #333333;
  font-family: "Syne", sans-serif;
}

@import url("https://fonts.googleapis.com/css2?family=Syne:wght@400;600;700&display=swap");

.form {
  position: relative;
  top: 31px;
  height: 603px;
  display: none;
}

.from-container {
  margin-top: 32px;
}


.contact-form,
.map {
  opacity: 0;
  transform: translateY(60px);
  transition: transform 1.2s ease-in-out, opacity 1.2s ease-in-out;
}

.contact-form.in-view {
  opacity: 1;
  transform: translateY(0);
  display: none;
}

.map.in-view {
  opacity: 1;
  transform: translateY(0);
  align-content: center;
}

.footer-content{
    padding-top: 20px;
  }
/* footer */

.company_infor_footer{
  margin: 30px 0 0 30px !important;
}

.quick_link_footer{
  margin: 30px 0 0 50px !important;
}

.service_footer_sec{
  margin: 30px 0 0 30px !important ;
}

@media (min-width: 768px) and (max-width: 991px) {
    .company_infor_footer{
      margin: 30px 0 0 30px !important;
    }

    .quick_link_footer{
      margin: 30px 0 0 30px !important;
    }

    .service_footer_sec{
  margin: 30px 0 0 30px !important;
}

}

@media(max-width:1400px) {
  .company_infor_footer{
    margin: 30px 0 0 0 !important;
  }

  .quick_link_footer{
  margin: 30px 0 0 0px !important;
}

.service_footer_sec{
  margin: 30px 0 0 30px !important;
}
}

@media(max-width:1200px) {
  .company_infor_footer{
    margin: 30px 0 0 0 !important;
  }

  .quick_link_footer{
  margin: 30px 0 0 0px !important;
}

.service_footer_sec{
  margin: 30px 0 0 30px !important;
}
}


@media (max-width: 768px) {
  .footer-section {
    padding: 40px 0 20px;
    background-color: #14192d;
  }

  .footer-background {
    display: none !important;
  }

  .footer-logo {
    max-width: 150px;
    margin-bottom: 20px;
  }

  .footer-section .col-lg-4,
  .footer-section .col-lg-3 {
    margin: 20px 0 0 0 !important;
  }

  .section-title {
    font-size: 18px;
    margin-bottom: 20px;
  }
}

@media(max-width:568px) {
    .background-img img{
        height: 550px !important;
    }
}